Page MenuHomePhabricator

hg-core: add `Manifest` a specialized `Revlog`
ClosedPublic

Authored by acezar on Sep 11 2020, 3:53 AM.

Details

Summary

A facade to Revlog to provide a manifest specific interface.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acezar created this revision.Sep 11 2020, 3:53 AM
Alphare accepted this revision.Sep 17 2020, 6:02 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
rust/hg-core/src/revlog/manifest.rs
37

Same nit: s/know/knows/

acezar updated this revision to Diff 22722.Sep 18 2020, 10:48 AM
acezar updated this revision to Diff 22727.Sep 18 2020, 10:54 AM
acezar marked an inline comment as done.Sep 18 2020, 10:55 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.